10 REM ***************   APPLICATIONS 5.2   *****************
' ***       GENERATE A SINE WAVE FROM SQUARE WAVES        ***
' ***********************************************************
12 SCREEN 9, 1: COLOR 15, 1' SELECT SCREEN
13 ' DYNAMIC
14 M = 128: DIM C1(M)
16 INPUT "NUMBER OF TERMS"; M' # SQUARE WV. HARMONICS TO SUM
18 N = M' SET INC. BETWEEN ILLUSTRATIONS
19 O = INT(N / 2) * 2: IF O < 2 THEN O = 2
20 PI = 3.141592653589793#: X0 = 20: Y0 = 165
22 CLS : REDIM C1(N)' DIM ARRAY TO NEW ILLUSTRATION
24 LINE (X0, 20)-(X0, 300)' DRAW COORDINATES
26 LINE (X0, Y0)-(630, Y0)
28 LINE (X0, Y0)-(X0, Y0)' INITIAL POSITION
30 FOR I = 0 TO 2 * PI + .01 STEP PI / 1024' GENERATE FUNCTION
32 FOR I2 = 1 TO N STEP 2: C1(I2) = 1: NEXT' INITIALIZE COMPONENT CTR.
34 Y = SGN(SIN(I))' ADD IN FUNDAMENTAL
36 IF N < 3 THEN 50' IF NO HARMONICS DRAW SQUARE WAVE
38 FOR J = 3 TO N STEP 2' SUBTRACT/ADD HARMONICS
40 IF C1(J) = 1 THEN Y = Y - SGN(SIN(J * I)) / J: GOTO 44
41 IF C1(J) = -1 THEN Y = Y + SGN(SIN(J * I)) / J: GOTO 46
42 'IF C1(J) <> 0 THEN 100
43 GOTO 48
44 FOR K = 3 TO N / J STEP 2: C1(J * K) = C1(J * K) - 1: NEXT K
45 GOTO 48
46 FOR K = 3 TO N / J STEP 2: C1(J * K) = C1(J * K) + 1: NEXT K
48 NEXT J
50 LINE -(X0 + 64 * I, Y0 - CINT(100 * Y))' DRAW LINE SEGMENT
60 NEXT I
62 LOCATE 22, 10: PRINT "N = "; N' NUMBER HARMONICS USED
64 INPUT "AGAIN"; A$' DRAW NEXT APPROXIMATION?
66 IF A$ <> "N" AND A$ <> "n" THEN N = N + O: GOTO 22
70 END


