' ******************************************************
' *   PROGRAM TO COMPARE AVERAGE VALUES OF CURVES OF   *
' *   THE FORM (Y = X^N) AS OBTAINED BY:               *
' *   1)   THE INTEGRAL CALCULUS                       *
' *   2)   SUMMATION DIVIDED BY N                      *
' *   3)   TRAPEZOIDAL RULE                            *
' ******************************************************
CLS : DEFDBL A-Z
INPUT " POWER TO RAISE INDEPENDENT VARIABLE TO IS "; N
INPUT " CALCULATE OVER DOMAIN ZERO TO (X MAX.=INTEGER)"; XMAX
10 PRINT : PRINT
INPUT " USE A STEP SIZE OF: (E.G., 0.5)"; SZ
PRINT : PRINT
PRINT "THE MEAN VALUE DETERMINED BY CALCULUS IS "; (XMAX ^ (N + 1) / (N + 1)) / XMAX
PRINT
' ******************************************************
YT = 0 ' INITIALIZE ACCUMULATOR
FOR I = 0 TO XMAX STEP SZ ' SOLVE ARITHMETIC MEAN
YT = YT + I ^ N
NEXT
YAV = YT / (XMAX / SZ + 1)' ADD 1 TO COUNT THE "ZERO" DATA POINT
PRINT "THE ARITHMETIC MEAN IS "; YAV: PRINT
YT = YT - (XMAX ^ N / 2): YAV = SZ * YT / XMAX
' ******************************************************
PRINT "THE AVERAGE DETERMINED BY THE TRAPEZOIDAL RULE IS "; YAV
PRINT "MORE (Y/N)";
90 A$ = INKEY$: IF A$ = "" THEN 90
IF A$ = "Y" OR A$ = "y" THEN 10
END


