REM *******************************************
REM *       NEWTON'S METHOD ILLUSTRATION      *
REM *******************************************
DEFDBL A-Z
SCREEN 11
REM COLOR 11, 7
X0 = 20: Y0 = 90: KY = 40 / 10000: KX = 600 / 20
LINE (X0, 50)-(X0, 450)
LINE (X0, Y0)-(620, Y0)
CIRCLE (X0 + KX * 10, Y0 - KY * (10000 - (10 ^ 5))), 5
LINE (X0, 50)-(X0, 50)
FOR I = 1 TO 15 STEP .1
F1 = 10000 - I ^ 5
Y1 = F1 * KY
LINE -(X0 + (I * KX), Y0 - (Y1))
NEXT
XAP2 = 10: SLOP = 1
100 XAPP = XAP2: DELX = (10000 - XAPP ^ 5) / (SLOP * 1000000!)' START NEWTON'S APPROXIMATION HERE
YAPP = 10000 - XAPP ^ 5
YAPD = 10000 - (XAPP + DELX) ^ 5
DELY = (YAPD - YAPP)
SLOP = DELY / DELX
XAP2 = XAPP - (YAPP / SLOP)
YAP2 = 10000 - XAP2 ^ 5
LINE (X0 + (XAPP * KX), Y0 - (YAPP * KY))-(X0 + (XAP2 * KX), Y0)
LINE -(X0 + (XAP2 * KX), Y0 - (YAP2 * KY))
IF ABS(YAP2) > .000001 THEN 100
CIRCLE (X0 + KX * XAP2, Y0 - KY * (10000 - (XAP2 ^ 5))), 5
LOCATE 24, 3: PRINT "BEGINNING ESTIMATE = 10"
LOCATE 25, 3: PRINT "ENDING ESTIMATE = "; XAP2
LOCATE 26, 3: PRINT "ACTUAL VALUE F(X) = "; YAP2
LOCATE 27, 2
INPUT "ENTER TO END"; A$
END


