10 REM *** (FFT12.02) VOICE SPEEDUP FFT ***
' DYNAMIC
12 CLS : T0 = 1: T1 = 0: SK1 = 1: SK3 = 1:
14 PATHI$ = "C:\SOUND144\VOYETRA\SOUNDS\": PATHO$ = PATHI$
16 DIM Y(Q), C(2, Q), S(2, Q), KC(Q), KS(Q), HDR(44)
18 FOR I = 1 TO 44: READ HDR(I): NEXT I
20 DATA 82,73,70,70,187,23,0,0,87,65,86,69,102,109,116,32,16,0,0,0,1,0
22 DATA 1,0,17,43,0,0,17,43,0,0,1,0,8,0,100,97,116,97,151,23,0,0
30 PI = 3.141592653589793#: P2 = 2 * PI
34 INPUT "INPUT DATA SAMPLE RATE"; DSR1
36 CLS : GOSUB 1100 ' GET DATA FILE
40 CLS
50 PRINT SPC(30); "MAIN MENU": PRINT : PRINT
52 PRINT SPC(5); "1 = FFT": PRINT
54 PRINT SPC(5); "2 = INV FFT": PRINT
56 PRINT SPC(5); "3 = DISPLAY MENU": PRINT
58 PRINT SPC(5); "4 = SPEEDUP ROUTINE": PRINT
60 PRINT SPC(5); "5 = FILE UTILITY": PRINT
62 PRINT SPC(5); "6 = FILTER": PRINT
66 PRINT SPC(5); "7 = FREQUENCY SHIFT SPECTRUM": PRINT
68 PRINT SPC(5); "8 = EXIT": PRINT
70 PRINT SPC(10); "MAKE SELECTION :";
80 A$ = INKEY$: IF A$ = "" THEN 80
90 A = VAL(A$): ON A GOSUB 600, 700, 800, 400, 1000, 3000, 4000, 990
95 IF A = 8 THEN 999
97 GOTO 40

REM *******************************************************
REM *               FORWARD PFFFT                         *
REM *******************************************************
100 REM *** PFFFT ***
102 T9 = TIMER' GET STARTING TIME
104 REM                *** STAGE A ***
106 FOR I = 0 TO Q2 - 1: I2 = 2 * I
108 C(T0, I2) = (C(T1, I) + C(T1, Q2 + I)) / 2
110 C(T0, I2 + 1) = (C(T1, I) - C(T1, Q2 + I)) / 2
112 NEXT I
114 REM                *** STAGE B ***
116 FOR I = 0 TO Q2 - 1 STEP 2: I2 = 2 * I: IQ2 = I + Q2
118 C(T1, I2) = (C(T0, I) + C(T0, IQ2)) / 2
120 C(T1, I2 + 1) = (C(T0, I + 1)) / 2: S(T1, I2 + 1) = (C(T0, IQ2 + 1)) / 2
122 C(T1, I2 + 2) = (C(T0, I) - C(T0, IQ2)) / 2
124 NEXT I
130 REM                *** REMAINING STAGES ***
132 FOR M = 2 TO N - 1: QT = 2 ^ (M - 1)
134 QT2 = 2 * QT: KT1 = 2 ^ (N - M - 1)
136 FOR I = 0 TO Q3 STEP QT2: J1 = 2 * I: K = I + Q2
138 REM * COMPUTE DIRECT COMPONENTS *
140 FOR J = 0 TO QT: JA2 = J1 + J: JA = I + J: KT = J * KT1: KJ = K + J
142 C(T0, JA2) = .5 * (C(T1, JA) + C(T1, KJ) * KC(KT) - S(T1, KJ) * KS(KT))
144 S(T0, JA2) = .5 * (S(T1, JA) + C(T1, KJ) * KS(KT) + S(T1, KJ) * KC(KT))
146 NEXT J
150 REM * COMPUTE LATENT COMPONENTS *
152 FOR J = QT + 1 TO QT2: JA2 = J1 + J: JA = I + QT2 - J: KT = J * KT1: KJ = K + QT2 - J
154 C(T0, JA2) = .5 * (C(T1, JA) + C(T1, KJ) * KC(KT) + S(T1, KJ) * KS(KT))
156 S(T0, JA2) = .5 * (-S(T1, JA) + C(T1, KJ) * KS(KT) - S(T1, KJ) * KC(KT))
158 NEXT J
160 NEXT I
162 T0 = 1 - T0: T1 = 1 - T0
164 NEXT M
166 T9 = TIMER - T9
172 'ON IOFLG GOSUB 500, 2500
174 'LOCATE 23, 20
176 'PRINT : PRINT : INPUT "C/R TO CONTINUE:"; A$
178 RETURN

REM ****************************************************
REM *              INVERSE TRANSFORM                   *
REM ****************************************************
200 PRINT
202 FOR M = N - 1 TO 0 STEP -1' LOOP FOR STAGES OF COMPUTATION
204 QT2 = 2 ^ (M): QT = INT(QT2 / 2): QT4 = 2 * QT2: KT1 = 2 ^ (N - M - 1)
206 FOR I = 0 TO Q - (QT2) STEP QT4
208 FOR J = 0 TO QT: KI = J + (I / 2): KT = J * KT1: KJ = Q2 + KI
212 MCT = C(T1, J + I) - C(T1, I + QT2 - J): MST = S(T1, J + I) + S(T1, I + QT2 - J)
214 C(T0, KJ) = MCT * KC(KT) + MST * KS(KT)
216 S(T0, KJ) = MST * KC(KT) - MCT * KS(KT)
218 C(T0, KI) = (2 * C(T1, J + I)) - C(T0, KJ) * KC(KT) + S(T0, KJ) * KS(KT)
220 S(T0, KI) = (2 * S(T1, J + I)) - C(T0, KJ) * KS(KT) - S(T0, KJ) * KC(KT)
222 NEXT J
224 NEXT I
226 T0 = 1 - T0: T1 = 1 - T0
228 NEXT M
230 'ON IOFLG GOSUB 300, 2000
232 'INPUT "C/R TO CONTINUE"; A$
234 RETURN

REM *******************************************************
REM *            PRINT INPUT DATA                         *
REM *******************************************************
300 PRINT USING "####"; Z; : PRINT "  ";
310 PRINT USING "+##.#####"; SK1 * C(T1, Z); : PRINT "    ";
312 PRINT USING "+##.#####"; SK1 * S(T1, Z); : PRINT "      ";
320 PRINT USING "####"; Z + Q2; : PRINT "  ";
322 PRINT USING "+##.#####"; SK1 * C(T1, Z + Q2); : PRINT "    ";
324 PRINT USING "+##.#####"; SK1 * S(T1, Z + Q2)
330 RETURN

' *************  PRINT FREQ DOMAIN DATA  *****************
350 PRINT USING "####"; Z; : PRINT "  ";
352 PRINT USING "+##.#####_     /"; SQR(C(T1, Z) ^ 2 + S(T1, Z) ^ 2);
354 IF C(T1, Z) < .00001 THEN ANG = 90: GOTO 360
356 ANG = ATN(S(T1, Z) / C(T1, Z)) * 180 / PI
360 PRINT USING "+##.#####_     "; ANG;
362 PRINT USING "####_  "; Z + Q2;
364 PRINT USING "+##.#####_     /"; SQR(C(T1, Z + Q2) ^ 2 + S(T1, Z + Q2) ^ 2);
366 IF C(T1, Z + Q2) = 0 THEN ANG = 90: GOTO 370
368 ANG = ATN(S(T1, Z + Q2) / C(T1, Z + Q2)) * 180 / PI
370 PRINT USING "+##.#####_     "; ANG
372 RETURN

400 REM ******************************
REM     *        VOICE SPEEDUP       *
REM     ******************************
402 CLS : PRINT : PRINT
403 PRINT SPC(20); "VOICE SPEEDUP MENU": PRINT : PRINT
404 PRINT SPC(5); "1 = STRETCH SIDEBANDS         2 = FRACTIONAL STRETCH"
405 PRINT SPC(5); "9 = EXIT"
406 A$ = INKEY$: IF A$ = "" THEN 406
407 ON VAL(A$) GOSUB 450, 412, 410, 410, 410, 410, 410, 410, 410
408 IF VAL(A$) <> 9 GOTO 402
410 RETURN

412 ' ***  FRACTIONAL STRETCH  ***
413 FOR I = 0 TO Q - 1: C(T0, I) = 0: S(T0, I) = 0: NEXT I
414 CLS : INPUT "SELECT CENTER FREQUENCY"; FCO1
415 FCO1 = FCO1 * Q / DSR1
416 PRINT SPC(20); "SELECT SPEEDUP FRACTION": PRINT : PRINT
417 PRINT SPC(5); "1 = -3/4         5 = +1/4"
418 PRINT SPC(5); "2 = -1/2         6 = +1/2"
419 PRINT SPC(5); "3 = -1/4         7 = +3/4"
420 PRINT SPC(5); "4 = 0            8 = N/A"
421 PRINT SPC(5); "9 = EXIT"
422 A$ = INKEY$: IF A$ = "" THEN 422
423 IF ASC(A$) < 49 OR ASC(A$) > 57 THEN 414
424 A = VAL(A$): IF A = 9 GOTO 449
425 A = A - 4: IF A > 3 THEN A = 3
426 FCO1 = CINT(FCO1): DELF = 4 - A
' SELECT SIDEBANDS
427 I2 = -1: FCO4 = FCO1 / 8: IX = FCO1 * DELF / 8
428 FOR I = 0 TO IX STEP DELF: I2 = I2 + 1
429 C(T0, FCO4 + I2) = C(T1, FCO1 + I): S(T0, FCO4 + I2) = S(T1, FCO1 + I)
430 C(T0, FCO4 - I2) = C(T1, FCO1 - I): S(T0, FCO4 - I2) = S(T1, FCO1 - I)
431 NEXT I
432 FOR I = 0 TO Q - 1: C(T1, I) = C(T0, I): S(T1, I) = S(T0, I): NEXT I
433 N = N - 3: Q = 2 ^ N: K1 = P2 / Q
434 Q2 = Q / 2: Q3 = Q2 - 1: Q4 = Q / 4: Q5 = Q4 - 1: Q8 = Q / 8
436 FOR I = 0 TO Q2: KC(I) = COS(K1 * I): KS(I) = SIN(K1 * I): NEXT I
449 RETURN


450 ' ******  STRETCH SIDEBANDS  *****
452 INPUT "CARRIER FREQUENCY IS"; FCO1
454 FCO1 = FCO1 * Q / DSR1
456 FOR I = 100 TO 0 STEP -1: I2 = 2 * I: I3 = I2 - 1
460 C(T1, FCO1 + I2) = C(T1, FCO1 + I): S(T1, FCO1 + I2) = S(T1, FCO1 + I)
462 C(T1, FCO1 + I3) = 0: S(T1, FCO1 + I3) = 0
464 C(T1, FCO1 - I2) = C(T1, FCO1 - I): S(T1, FCO1 - I2) = S(T1, FCO1 - I)
466 C(T1, FCO1 - I3) = 0: S(T1, FCO1 - I3) = 0
468 NEXT I
470 RETURN

600 REM **************************************
REM     *            FORWARD FFT             *
REM     **************************************
602 CLS : SK1 = 1: K6 = 1: KFB = 2
604 LOCATE 12, 20: PRINT "PLEASE WAIT - TRANSFORMING DATA"
620 GOSUB 100' DO PFFFT
622 CLS : GOSUB 2500' PLOT DATA
624 RETURN
'    **********************************
700 '***         INVERSE FFT        ***
'    **********************************
710 K6 = -1: KFB = 1
712 CLS : LOCATE 12, 20: PRINT "PLEASE WAIT - XFORMING DATA."
714 GOSUB 200' DO INVERSE PFFFT
716 CLS : GOSUB 2000' PLOT DATA
718 RETURN

REM     *************************
800 REM *** DISPLAY DATA MENU ***
REM     *************************
802 CLS : PRINT SPC(30); "DISPLAY MENU ": PRINT : PRINT
804 PRINT SPC(5); "1 = DISPLAY TIME DOMAIN DATA (NUM)    2 = DISPLAY TIME (GRAPHIC)"
806 PRINT SPC(5); "3 = DISPLAY FREQ DOMAIN DATA (NUM)    4 = DISPLAY FREQ (GRAPHICAL)"
808 PRINT SPC(5); "9 = EXIT"
810 A$ = INKEY$: IF A$ = "" THEN 810
812 ON VAL(A$) GOSUB 820, 2000, 900, 2500, 816, 816, 816, 816, 816
' IF A$ = CHR$(27) THEN 806
814 IF VAL(A$) <> 9 GOTO 802
816 RETURN

820 VPOINT = 1: REM T0 = 1: T1 = 0: SK1 = 1
822 CLS : PRINT : PRINT
824 PRINT "USE NUM PAD TO SCAN DATA: ESC TO EXIT"
826 INPUT "C/R TO CONTINUE"; A$
828 GOSUB 890' PRINT ONE PAGE OF DATA
830 A$ = INKEY$: IF A$ = "" THEN 830' WAIT INPUT
832 IF ASC(A$) = 27 THEN RETURN' ESCAPE = EXIT
834 IF A$ = "2" THEN VPOINT = VPOINT + 1: GOTO 844' UP ONE LINE
836 IF A$ = "8" THEN VPOINT = VPOINT - 1' DOWN ONE PAGE
838 IF VPOINT < 1 THEN VPOINT = 1' THIS IS THE BOTTOM
840 GOSUB 890' PRINT ONE PAGE
842 GOTO 810' GOTO WAIT POINT
844 IF VPOINT > (Q / 2) - 23 THEN VPOINT = (Q / 2) - 23: GOTO 830
846 Z = VPOINT + 22
848 GOSUB 300' PRINT DATA
850 GOTO 810' GOTO WAIT POINT

890 CLS ' THIS ROUTINE PRINTS ONE PAGE OF DATA
892 FOR Z = VPOINT TO VPOINT + 22
894 GOSUB 300 ' PRINT DATA
896 NEXT Z
898 RETURN

900 CLS : VPOINT = 0: PRINT : PRINT
902 PRINT "USE NUM PAD TO SCAN DATA: ESC TO EXIT"
904 INPUT "C/R TO CONTINUE"; A$
906 GOSUB 980' PRINT PAGE 0NE
910 A$ = INKEY$: IF A$ = "" THEN 910 ' GET INPUT
912 IF ASC(A$) = 27 THEN RETURN
914 IF A$ = "2" THEN VPOINT = VPOINT + 1: GOTO 924
916 IF A$ = "8" THEN VPOINT = VPOINT - 1
918 IF VPOINT < 0 THEN VPOINT = 0
920 GOSUB 980 ' PRINT ONE PAGE
922 GOTO 910 ' GOTO GET VALID INPUT
924 IF VPOINT > (Q / 2) - 23 THEN VPOINT = (Q / 2) - 23: GOTO 910
926 Z = VPOINT + 22' SET Z TO NEXT LINE
928 GOSUB 350 ' PRINT DATA
930 GOTO 910' GOTO GET INPUT

980 CLS ' PRINT A PAGE
982 FOR Z = VPOINT TO VPOINT + 22
984 GOSUB 350
986 NEXT Z' NEXT LINE
988 RETURN

990 CLOSE
992 RETURN
999 END

REM      ************************
REM      *       FILE MENU      *
REM      ************************
1000 CLS : PRINT SPC(30); "DISPLAY MENU ": PRINT : PRINT
1001 PRINT SPC(5); "1 = RELOAD FILE           2 = SAVE FILE"
1002 PRINT SPC(5); "3 = CHANGE NAME & LOAD    4 = SAVE FREQUENCY DOMAIN FILE"
1003 PRINT SPC(5); "5 = CHANGE SAMPLE RATE    6 = CHANGE PATH"
1004 PRINT SPC(5); "7 = WEIGHTING FUNCTION    9 = EXIT"
1005 A$ = INKEY$: IF A$ = "" THEN 1005
1006 ON VAL(A$) GOSUB 1110, 1200, 1100, 1300, 1400, 1500, 1810, 1008, 1008
1007 IF VAL(A$) <> 9 THEN 1000
1008 RETURN

'   *******************
'   ***  LOAD FILE  ***
'   *******************
1100 CLS : NUFLG = 1
1102 PRINT "FILENAME ('PATH' TO CHANGE PATH)"; PATHI$;
1104 INPUT NMI$
1106 IF NMI$ = "PATH" THEN GOSUB 1500: GOTO 1100
1108 NMI$ = PATHI$ + NMI$
1110 OPEN "R", #1, NMI$, 1
1112 FIELD #1, 1 AS DA$
1114 QDF = LOF(1)
1116 QF = QDF - 44
1118 PRINT QF
1120 GET #1, 35
1122 WRDSIZ = ASC(DA$)
1124 IF WRDSIZ = 16 THEN QF = QF / 2
1126 PRINT QF; " AFTER WORDSIZE"
1128 GET #1, 26 ' GET SAMPLE RATE HIGH BIT
1130 SR0 = 256 * ASC(DA$)' FILE S/R
1132 GET #1, 25
1134 SR0 = SR0 + ASC(DA$)
1136 CLOSE 1
1138 STZ = 1
1140 IF SR0 > DSR1 THEN QF = INT(QF * DSR1 / SR0): STZ = CINT(SR0 / DSR1)' MUST USE 44100/N
' MUST USE 44100/INT
1142 IF NUFLG = 0 THEN 1152
1144 NUFLG = 0
1146 PRINT "QF = "; QF; " PROCEED?";
1148 A$ = INKEY$: IF A$ = "" THEN 1148
1150 IF A$ = "N" OR A$ = "n" THEN 1194
1152 FOR N = 1 TO 13' FIND SIZE OF REQUIRED ARRAY
1154 IF QF <= 2 ^ N THEN 1158
1156 NEXT N
1158 IF A$ = "Q" OR A$ = "q" THEN N = 13
1160 Q = 2 ^ N: Q2 = Q / 2: Q3 = Q2 - 1: Q4 = Q / 4: Q5 = Q4 - 1: Q8 = Q2 / 8
1162 REDIM Y(Q), C(2, Q), S(2, Q), KC(Q), KS(Q)
1164 TO0 = Q / DSR1: K1 = P2 / Q
1166 CLOSE 1
1168 FOR I = 0 TO Q: KC(I) = COS(K1 * I): KS(I) = SIN(K1 * I): NEXT I
1170 TYPE Dat3
        Amp3 AS INTEGER
     END TYPE
1176 DIM WRD AS Dat3
1178 T0 = 1: T1 = 0
1180 IF WRDSIZ = 16 THEN GOSUB 1700 ELSE GOSUB 1750
1182 CLOSE #1
1184 FOR I = QDF TO Q
1186 C(T1, I) = 0
1188 NEXT I
1190 CLS : GOSUB 2000
1192 IF WTFLG = 1 THEN GOSUB 1800
1194 RETURN

'  *******************************************
'  *        SAVE TIME DOMAIN FILE            *
'  *******************************************
1200 PRINT " SET GAIN (Y/N)?"
1202 A$ = INKEY$: IF A$ = "" THEN 1202
1204 IF A$ = "Y" OR A$ = "y" THEN GOSUB 1270
1206 PRINT : PRINT "FILENAME ('PATH' TO CHANGE PATH) "; PATHO$;
1208 INPUT NM2$
1210 IF NM2$ = "PATH" THEN GOSUB 1390: GOTO 1206
1212 NM$ = PATHO$ + NM2$
1214 OPEN "R", #2, NM$, 1
1216 FIELD #2, 1 AS DA2$
1218 FOR I = 1 TO 44
1220 LSET DA2$ = CHR$(HDR(I))
1222 PUT #2, I
1224 NEXT I
1226 LSET DA2$ = CHR$(INT((QF) / 256))
1228 PUT #2, 42
1230 LSET DA2$ = CHR$(INT((QF + 36) / 256))
1232 PUT #2, 6
1234 LSET DA2$ = CHR$(QF - INT((QF) / 256) * 256)
1236 PUT #2, 41
1238 LSET DA2$ = CHR$(QF + 36 - INT((QF + 36) / 256) * 256)
1240 PUT #2, 5
1242 DSR1 = INT(DSR1) ' SAVE SAMPLE RATE
1244 LSET DA2$ = CHR$(INT(DSR1 / 256))
1246 PUT #2, 26
1248 LSET DA2$ = CHR$(DSR1 - INT(DSR1 / 256) * 256)
1250 PUT #2, 25
1252 FOR I = 0 TO QF - 1
1254 LSET DA2$ = CHR$(INT(SK3 * C(T1, I)) + 127)
1256 PUT #2, I + 45
1258 NEXT I
1260 CLOSE #2
1262 RETURN

1270 ' ************ SET GAIN *************
1272 ITST = 0: NGAIN = 0
1274 FOR I = 0 TO Q - 1
1276 IF ABS(C(T1, I)) > ITST THEN ITST = ABS(C(T1, I))
1278 NEXT I
1280 PRINT : PRINT "THE PEAK VALUE IN THE ARRAY IS "; ITST
1282 PRINT "MAXIUM GAIN = "; (127 / ITST)
1284 INPUT "NEW GAIN = "; NGAIN
1286 IF NGAIN = 0 THEN 1282
1288 SK3 = NGAIN
1290 PRINT "GAIN = "; SK3
1292 INPUT "C/R TO CONTINUE"; A$
1294 RETURN

'  ****************************************************
'  ********  SAVE FREQUENCY DOMAIN FILE  ************
'  ****************************************************
1300 CLS ' THIS IS A NON-STANDARD FORMAT FREQUENCY DOMAIN FILE
1302 PRINT "OUTPUT FILENAME (PATH TO CHANGE)"; PATHO$;
1304 INPUT NM2$: IF NM2$ = "PATH" THEN GOSUB 1390: GOTO 1300
1306 NM2$ = PATHO$ + NM2$
1308 OPEN "R", #2, NM2$, 1
1310 FIELD #2, 1 AS DA2$
1312 RESTORE
1314 FOR I = 1 TO 32
1316 READ DA1
1318 LSET DA2$ = CHR$(DA1)
1320 PUT #2, I
1322 NEXT I
1324 SKY1 = 0
1326 FOR I = 0 TO Q2
1328 YTST = SQR(C(T1, I) ^ 2 + S(T1, I) ^ 2)
1330 IF YTST > SKY1 THEN SKY1 = YTST
1332 NEXT I
1334 PRINT "Y MAX = ", SKY1; ""
1336 SKY1 = 255 / SKY1
1338 PRINT "SKY1 = "; SKY1
1340 FOR I = 0 TO Q2 - 1
1342 Y7 = SKY1 * SQR(C(T1, I) ^ 2 + S(T1, I) ^ 2)
1344 LSET DA2$ = CHR$(INT(Y7))
1346 PUT #2, I + 33
1348 NEXT I
1350 CLOSE #2
1352 PRINT "Q2 ="; Q2, " I =", I
1356 INPUT A$
1358 RETURN


'*********  CHANGE OUTPUT PATH   ************
1390 NPATH$ = ""
1392 INPUT "NEW PATH"; NPATH$
1394 IF NPATH$ = "" THEN 1398
1396 PATHO$ = NPATH$
1398 RETURN

'  ************  CHANGE SAMPLE RATE  ************
1400 NRATE = 0
1412 INPUT "NEW SAMPLE RATE"; NRATE
1414 IF NRATE = 0 OR NRATE > 44100 THEN 1418
1416 DSR1 = NRATE: TO0 = Q / DSR1
1418 RETURN

'   ********   CHANGE PATH ***********
1500 NPATH$ = ""
1510 INPUT "NEW PATH"; NPATH$
1520 IF NPATH$ = "" THEN 1540
1530 PATHI$ = NPATH$
1540 RETURN

1700 '*********   LOAD 16 BIT WORDS  ************
1702 OPEN NMI$ FOR RANDOM AS #1 LEN = LEN(WRD)
1704     FOR I = 0 TO QF - 1
1706     GET #1, (STZ * I) + 45, WRD
1708     C(T1, I) = WRD.Amp3
1710     NEXT I
1712 RETURN

1750 '*********   LOAD 8 BIT BYTES
1752 OPEN "R", #1, NMI$, 1
1754 FIELD #1, 1 AS DA$
1756     FOR I = 0 TO QF - 1 ' STEP STZ
1758     GET #1, (STZ * I) + 45
1760     C(T1, I) = ASC(DA$) - 127
1762     NEXT I
1764 RETURN

1800 ' ********  WEIGHTING FUNCTION  **********
1802 FOR I = 0 TO Q - 1
1804 C(T1, I) = C(T1, I) * (SIN(I * PI / Q) ^ 6)
1806 NEXT I
1808 RETURN

1810 ' *********  WEIGHTING ON/OFF  ************
1812 PRINT "WEIGHTING ON (Y/N)?";
1814 A$ = INKEY$: IF A$ = "" THEN 1814
1816 IF A$ = "Y" OR A$ = "y" THEN WTFLG = 1
1818 IF A$ = "N" OR A$ = "n" THEN WTFLG = 0
1820 IF A$ <> "Y" AND A$ <> "y" AND A$ <> "N" AND A$ <> "n" THEN 1810
1822 RETURN

REM ***************************************
REM *          PLOT DATA (TIME)
REM ***************************************
2000 SCREEN 9, 1, 1: COLOR 7, 1: MAGX = 1
2002 CLS : SKX1 = MAGX * 600 / Q: X0 = 10: SKY1 = 0
2004 FOR I = 0 TO Q / MAGX - 1
2006 IF ABS(C(T1, I)) > SKY1 THEN SKY1 = ABS(C(T1, I))
2008 NEXT I
2010 SKY1 = 145 / SKY1: Y0 = 170
2012 LINE (X0, Y0 - 150)-(X0, 150 + Y0)
2014 LINE (X0, Y0)-(600 + X0, Y0)
2016 Y2 = Y0 + 5: Y3 = Y0 - 5
2018 LINE (X0, Y0)-(X0, Y0)
2020 FOR I = 0 TO Q / MAGX - 1
2022 X5 = X0 + I * SKX1: Y5 = Y0 - C(T1, I) * SKY1
2024 LINE -(X5, Y5)
2026 NEXT I
2028 COLOR 15, 1
2030 FOR I = 1 TO 10
2032 X2 = X0 + 60 * I
2034 LINE (X2, Y2)-(X2, Y3)
2036 NEXT I
2038 LOCATE 1, 1: PRINT "XFORM TIME = "; INT(100 * T9) / 100; " SEC."
2040 LOCATE 1, 35: PRINT "FILE = "; NMI$
2042 LOCATE 24, 60: PRINT "Tmax ="; TO0 / MAGX;
2044 LOCATE 24, 1: COLOR 7, 1
2046 PRINT "EXPAND?";
2047 A$ = INKEY$: IF A$ = "" THEN 2047
2048 IF A$ = "Y" OR A$ = "y" THEN 2052
2050 IF ASC(A$) = 27 THEN RETURN ELSE 2002
' EXPAND DATA DISPLAY
2052 MAGX = 2 * MAGX
2054 GOTO 2002

REM ***************************************
REM *        PLOT DATA (FREQUENCY)        *
REM ***************************************
2500 CLS : SCREEN 9, 1, 1: COLOR 7, 1
2502 MAGX = 1: OFS = 0: SKY1 = 0
' FIND MAX VALUE IN DISPLAY DATA & SET EQUAL TO SKY1
2504 FOR I = 0 TO Q2 / MAGX
2506 YTST = SQR(C(T1, I) ^ 2 + S(T1, I) ^ 2)
2508 IF YTST > SKY1 THEN SKY1 = YTST
2510 NEXT I
' SET DISPLAY SCALE FACTOR = 200 PIXLS/SKY1
2512 SKY1 = 200 / SKY1: Y0 = 300: SKY2 = SKY1 / 2
2514 SKX1 = MAGX * 600 / Q2: X0 = 10' SET X SCALE FACTOR
' DRAW ORDINATE & ABSCISSA
2516 LINE (X0, Y0 - 200)-(X0, Y0)
2518 LINE (X0, Y0)-(600 + X0, Y0)
2520 LINE (X0, Y0)-(X0, Y0)
' DRAW DATA
2522 FOR I = OFS TO (Q2 / MAGX + OFS)
2524 X5 = (I - OFS) * SKX1: Y5 = SKY1 * SQR(C(T1, I) ^ 2 + S(T1, I) ^ 2)
2526 LINE -(X0 + X5, Y0 - Y5)
2528 NEXT I
' IT TAKES A LOT OF WORK TO MAKE THE CURSOR PERFORM RIGHT
2530 FC = Q4 / MAGX + OFS: Y3 = Y0 + 10: Y2 = Y0 - 200 ' CURSOR STUFF
2532 FCD = FC - OFS: X5 = X0 + FCD * SKX1 ' MORE CURSOR STUFF
2534 LINE (X5, Y3)-(X5, Y2) ' DRAW CURSOR
2536 GOSUB 2840 ' DISPLAY PERTINENT DIGITAL DATA
2540 A$ = INKEY$: IF A$ = "" THEN 2540' WAIT FOR USER INPUT
2542 IF A$ = CHR$(27) THEN RETURN' ESC = EXIT
2544 IF ASC(A$) = 0 THEN 2590 ' HANDLE CURSOR KEYS
2546 IF A$ = "M" OR A$ = "m" THEN 2700 ' EXPAND FREQUENCY SCALE?
2548 IF A$ = "O" OR A$ = "o" THEN 2750 ' OFFSET FREQUENCY BAND
2550 GOTO 2540 ' SOMEBODY HIT THE WRONG KEY

2590 A = INT((ASC(RIGHT$(A$, 1)) - 70) / 2)' HANDLE CURSORS
2591 IF A < 1 OR A > 5 THEN 2540
2592 GOSUB 2800 ' ERASE PRESENT CURSOR
2594 ON A GOTO 2630, 2600, 2620, 2620, 2640
2596 GOTO 2540

' MOVE CURSOR DOWN ONE
2600 FC = FC - 1: IF FC < 3 THEN FC = 3
2610 FCD = FC - OFS
2612 LINE (X0 + SKX1 * FCD, Y3)-(X0 + SKX1 * FCD, Y2)' DRAW NEW CURSOR
2616 GOSUB 2840 ' PRINT DATA
2618 GOTO 2540
' MOVE CURSOR UP ONE
2620 FC = FC + 1: IF FC > Q2 - 3 THEN FC = Q2 - 3
2626 GOTO 2610 ' NO SENSE DOING THIS TWICE
' MOVE CURSOR UP 10
2630 FC = FC + 10: IF FC > Q2 - 3 THEN FC = Q2 - 3' INCREASE CURSOR FREQUENCY BY 10
2636 GOTO 2610 ' NOR THREE TIMES
' MOVE CURSOR DOWN 10
2640 FC = FC - 10: IF FC < 3 THEN FC = 3
2644 GOTO 2610 ' DITTO

' ***   EXPAND FREQUENCY SCALE FACTOR BY 2X  ***
2700 IF A$ = "M" THEN MAGX = 2 * MAGX: OFSI = 2 * OFSI: IF MAGX > 16 THEN MAGX = 16: OFSI = OFSI / 2
2702 IF A$ = "m" THEN MAGX = MAGX / 2: OFSI = INT(OFSI / 2): IF MAGX < 1 THEN MAGX = 1: OFSI = 0
2704 GOTO 2756 ' NO SENSE DOING THIS TWICE EITHER
' ***   OFFSET DISPLAYED SPECTRUM
2750 ' IF MAGX < 2 AND OFSI < 2 THEN 2588
2752 IF A$ = "O" THEN OFSI = OFSI + 1: IF OFSI > (MAGX - 1) THEN OFSI = (MAGX - 1)
2754 IF A$ = "o" THEN OFSI = OFSI - 1: IF OFSI < 0 THEN OFSI = 0
2756 OFS = OFSI * Q2 / MAGX: CLS
2758 GOTO 2514 ' OKAY, REPLOT DATA

' ERASE CURSOR
2800 COLOR 1, 1 ' EVERYTHING BLUE
2802 FOR I = -1 TO 1 ' WHERE IS THAT THING
X5 = X0 + SKX1 * (FCD + I)
2804 LINE (X5, Y3)-(X5, Y2) ' ERASE OLD CURSOR
2806 NEXT I
2808 COLOR 7, 1 ' CHANGE THE COLOR BACK
' REDRAW DATA
2810 X5 = (FCD - 3) * SKX1: Y5 = SKY1 * SQR(C(T1, FC - 3) ^ 2 + S(T1, FC - 3) ^ 2)
2812 LINE (X0 + X5, Y0 - Y5)-(X0 + X5, Y0 - Y5)
2814 FOR I = -2 TO 3: I2 = FC + I
2816 X5 = (FCD + I) * SKX1: Y5 = SKY1 * SQR(C(T1, I2) ^ 2 + S(T1, I2) ^ 2)
2818 LINE -(X0 + X5, Y0 - Y5)
2820 NEXT I
2822 LINE (X5 - 10, Y0)-(X5 + 10, Y0)' REDRAW X AXIS
2824 RETURN

' DISPLAY CRITICAL DATA PARAMETERS
2840 COLOR 15, 1
2842 LOCATE 24, 1: PRINT "USE ARROWS TO MOVE CURSOR/ESC TO EXIT";
2844 LOCATE 2, 1: PRINT "XFORM TIME = "; INT(100 * T9) / 100
2846 LOCATE 1, 60: PRINT "Fc ="; FC / TO0
2848 YDIS = (SKY1 * SQR(C(T1, FC) ^ 2 + S(T1, FC) ^ 2))
2850 LOCATE 2, 60: PRINT "MAGNITUDE = "; : PRINT USING "###.###"; YDIS / 2
2852 LOCATE 1, 1: PRINT "FILE = "; NMI$
2854 COLOR 7, 1
2856 RETURN

REM *************************************
REM *          FILTER ROUTINE           *
REM *************************************
3000 CLS
3002 PRINT "LOWPASS, BANDPASS OR NOTCH (L/B/N)"
3010 A$ = INKEY$: IF A$ = "" THEN 3010
3012 IF A$ = "N" OR A$ = "n" THEN 3100 ' NOTCH FILTER
3014 IF A$ = "B" OR A$ = "b" THEN 3150 ' BANDPASS
3016 IF A$ <> "L" AND A$ <> "l" THEN 3000 ' IF NOT LOWPASS GET VALID INPUT
3018 PRINT "GAUSSIAN OR TRUNCATE (G/T)" ' MUST BE LOWPASS BUT WHAT KIND?
3020 A$ = INKEY$: IF A$ = "" THEN 3020 ' GET USER INPUT
3022 IF A$ = "T" OR A$ = "t" THEN 3200 ' TRUNCATE?
3024 PRINT : PRINT "GAUSSIAN LOW PASS FILTER ROUTINE"
3026 INPUT "INPUT CUTOFF FREQUENCY"; FCO3
3028 FCO3 = FCO3 * TO0: FCO32 = FCO3 * FCO3
3030 FOR I = 0 TO Q / 2 ' FILTER THE DATA
3032 KAT = EXP(-.3453878 * I * I / FCO32) ' EIGEN VALUE (FILTER COEFFICIENT)
3034 C(T1, I) = KAT * C(T1, I): S(T1, I) = KAT * S(T1, I)
3036 C(T1, Q - I) = KAT * C(T1, Q - I): S(T1, Q - I) = KAT * S(T1, Q - I)
3038 NEXT I
3040 RETURN

3100 PRINT : PRINT "NOTCH FILTER ROUTINE"
3102 INPUT "CENTER FREQUENCY & BANDWIDTH"; FCEN, BW4
3104 FCEN = FCEN * TO0: BW4 = BW4 * TO0
3106 FOR I = FCEN - BW4 TO FCEN + BW4
3108 C(T1, I) = 0: S(T1, I) = 0
3110 NEXT I
3112 RETURN

3150 PRINT : PRINT "BANDPASS FILTER ROUTINE"
3152 INPUT "CENTER FREQUENCY & BANDWIDTH"; FCEN, BW4
3154 FCEN = FCEN * TO0: BW4 = BW4 * TO0
3156 FOR I = 0 TO FCEN - BW4
3158 C(T1, I) = 0: S(T1, I) = 0
3160 C(T1, Q - I) = 0: S(T1, Q - I) = 0
3162 NEXT I
3164 FOR I = FCEN + BW4 TO Q2
3166 C(T1, I) = 0: S(T1, I) = 0
3168 C(T1, Q - I) = 0: S(T1, Q - I) = 0
3170 NEXT I
3172 RETURN

3200 ' *** TRUNCATE UPPER SPECTRUM ***
3202 PRINT : PRINT "TRUNCATE UPPER SPECTRUM ROUTINE"
3204 INPUT "CUTOFF FREQUENCY"; FCO4
3206 FCO4 = FCO4 * TO0
3208 FOR I = FCO4 TO Q / 2
3210 C(T1, I) = 0: S(T1, I) = 0
3212 C(T1, Q - I) = 0: S(T1, Q - I) = 0
3214 NEXT I
3216 RETURN

4000 ' ***  FREQUENCY SHIFT SPECTRUM   ***
4002 INPUT "MAXIMIZE ZERO COMPONENT (Y/N)"; A$
4004 IF A$ = "Y" OR A$ = "y" THEN GOSUB 4100
4006 INPUT "FREQUENCY SHIFT INCREMENT"; FSH0
4008 FSH0 = FSH0 * TO0
4010 FOR I = 0 TO Q2: Y(I) = 0: NEXT
4012 FOR I = 0 TO Q2 - FSH0: Y(I) = C(T1, I + FSH0): NEXT
4014 FOR I = 0 TO FSH0: Y(I) = Y(I) + C(T1, Q - FSH0 + I): NEXT
4016 FOR I = 0 TO Q2: C(T1, I) = Y(I): C(T1, Q - I) = Y(I): NEXT
4018 FOR I = 0 TO Q2: Y(I) = 0: NEXT
4020 FOR I = 0 TO Q2 - FSH0: Y(I) = S(T1, I + FSH0): NEXT
4022 FOR I = 0 TO FSH0: Y(I) = Y(I) + S(T1, Q - FSH0 + I): NEXT
4024 FOR I = 0 TO Q2: S(T1, I) = Y(I): S(T1, Q - I) = -Y(I): NEXT
4026 RETURN

4100 INPUT "F(LOW) AND F(HIGH)"; FLL, FHH
4102 FLL = INT(FLL * TO0): FHH = INT(FHH * TO0)
4104 YMAX = 0
4106 FOR I = FLL TO FHH
4108 YTST = C(T1, I) + C(T1, Q - I)
4110 IF ABS(YTST) > YMAX THEN YMAX = ABS(YTST): ITST = I
4112 NEXT
4114 PRINT "THE MAXIMUM VALUE IS "; YMAX; " AT F = "; ITST / TO0
4116 INPUT "C/R TO CONTINUE"; A$
4118 RETURN

10000 ' *** CHARACTER READER  ***
A$ = INKEY$: IF A$ = "" THEN 10000
PRINT A$, ASC(A$);
IF ASC(A$) = 0 THEN PRINT ASC(RIGHT$(A$, 1)),
PRINT
GOTO 10000

