REM *****************************************
REM *******  2DFFT 15.20 - 2D XFORM   *******
REM *****************************************
10 SCREEN 9, 1, 1: COLOR 15, 1
12 INPUT "SELECT ARRAY SIZE AS 2^N.  N ="; N
13 Q = 2 ^ N
14 ' $DYNAMIC
15 DIM C(2, Q, Q), S(2, Q, Q), KC(Q), KS(Q), DAC(Q, Q), DAS(Q, Q)
16 TYPE Pixl
      PIX AS INTEGER
   END TYPE
20 DIM PIXREC AS Pixl
22 Q2 = Q / 2: Q3 = Q2 - 1: Q4 = Q / 4: Q5 = Q4 - 1: Q8 = Q / 8: ANP = 0
24 PI = 3.141592653589793#: PI2 = 2 * PI: K1 = PI2 / Q: CLVK = 1: ACLP = 2.7
26 FOR I = 0 TO Q: KC(I) = COS(K1 * I): KS(I) = SIN(K1 * I): NEXT
28 CLS : PRINT : PRINT : PRINT "               MAIN MENU": PRINT
30 PRINT " 1 = LOAD .BMP FILE": PRINT
31 PRINT " 2 = TRANSFORM FUNCTION": PRINT
32 PRINT " 3 = INVERSE TRANSFORM ": PRINT
33 PRINT " 4 = MODIFY TRANSFORM              ": PRINT
34 PRINT " 5 = SAVE FILE              ": PRINT
35 PRINT " 6 = PRINT FUNCTION   ": PRINT
36 PRINT " 7 = GENERATE FUNCTIONS              ": PRINT
37 PRINT " 8 = MODIFY SPACE DOMAIN FUNCTION": PRINT
38 PRINT " 9 = EXIT              ": PRINT : PRINT
40 PRINT "            MAKE SELECTION";
42 A$ = INKEY$: IF A$ = "" THEN 42
44 A = VAL(A$): ON A GOSUB 4000, 50, 80, 3000, 4100, 100, 5000, 2400
46 IF A = 9 THEN 9999
48 GOTO 28

REM **********************************************
REM *              XFORM FUNCTION                *
REM **********************************************
50 CLS ' CLEAR SCREEN
52 FOR I = 0 TO Q - 1
54 FOR J = 0 TO Q - 1: C(T0, I, J) = 0: S(T0, I, J) = 0: NEXT J
56 NEXT I
58 K6 = -1: SK1 = 2: XDIR = 1: T9 = TIMER
60 GOSUB 200 ' DO FORWARD 2-D XFORM
62 T9 = TIMER - T9 ' CHECK TIME
64 GOSUB 160 ' DISPLAY DATA
66 PRINT : INPUT "ENTER TO CONTINUE"; A$ ' WAIT
68 RETURN

REM **********************************************
REM *            INVERSE TRANSFORM               *
REM **********************************************
80 CLS : K6 = 1: SK1 = 1: XDIR = 0: T9 = TIMER
82 GOSUB 200: REM RECONSTRUCT 2-D IMAGE
84 T9 = TIMER - T9 ' GET TIME
86 GOSUB 160 ' PLOT OUTPUT
88 PRINT : INPUT "ENTER TO CONTINUE"; A$ ' WAIT
90 RETURN

REM ********************************************************
REM *               PRINT OUTPUT
REM ********************************************************
100 CLS : PRINT "ONLY THE Q/2 ROW WILL BE PRINTED"
102 PRINT "RECTANGULAR OR POLAR? (R/P)"
104 A$ = INKEY$: IF A$ = "" THEN 104
106 CORSY$ = A$: ROLOC = Q2
108 PRINT "SCREEN OR PRINTER (S/P)"
110 A$ = INKEY$: IF A$ = "" THEN 110
111 IF A$ = "S" THEN 140
112 IF A$ <> "P" THEN 100
114 FOR I = 0 TO Q - 1
116 LPRINT USING "##_ "; I;
118 FOR J = ROLOC - 2 TO ROLOC + 2
120 Y2 = C(T1, J, I): X2 = S(T1, J, I)
122 IF CORSY$ = "R" THEN 130
124 Y3 = SQR(Y2 ^ 2 + X2 ^ 2)
126 IF Y2 = 0 THEN X2 = SGN(X2) * 90: Y2 = Y3: GOTO 130
127 X2 = 180 / PI * ATN(X2 / Y2)
128 IF Y2 < 0 THEN X2 = X2 + 180: IF X2 > 360 THEN X2 = X2 - 360
129 Y2 = Y3: IF X2 > 180 THEN X2 = X2 - 360
130 LPRINT USING "##.###_ "; Y2;
131 IF X2 < -100 THEN LPRINT USING "+###.##_ "; X2; : GOTO 134
132 LPRINT USING "###.##_  "; X2;
134 NEXT J
136 LPRINT : NEXT I
138 LPRINT CHR$(12): RETURN
' **************************************************
140 CLS ' PRINT SCREEN
142 FOR I = 0 TO Q - 1
144 Y2 = C(T1, ROLOC, I): X2 = S(T1, ROLOC, I)
146 Y3 = C(T1, ROLOC - 1, I): X3 = S(T1, ROLOC - 1, I)
148 PRINT I;
 REM PRINT USING "###.######_      "; SQR(Y2 ^ 2 + X2 ^ 2); 180 / PI * ATN(X2 / Y2)
150 PRINT USING "###.######_      "; Y2; X2; Y3; X3
152 LINCTR = LINCTR + 1: IF LINCTR > 22 THEN GOSUB 156
154 NEXT I
156 INPUT A$
158 LINCTR = 0: RETURN

REM **********************************************
REM *                PLOT DATA                   *
REM **********************************************
160 CLS : AMP1 = 0 ' FIND LARGEST MAGNITUDE IN ARRAY
168     FOR I = 0 TO Q - 1
170         FOR J = 0 TO Q - 1
172              IF XDIR = 0 THEN AMP = C(T1, I, J): GOTO 176
174              AMP = SQR(C(T1, I, J) ^ 2 + S(T1, I, J) ^ 2)
176              IF AMP1 < AMP THEN AMP1 = AMP
178         NEXT J
180     NEXT I
182 IF AMP1 = 0 THEN AMP1 = 1
184 IF XDIR = 1 THEN MAG2 = -130 / AMP1 ELSE MAG2 = -6 / AMP1' SET SCALE FACTOR
186 PRINT "IS THIS A PICTURE (Y/N)";
188 A$ = INKEY$: IF A$ = "" THEN 188
190 IF A$ <> "Y" AND A$ <> "N" THEN 194
192 IF A$ = "Y" THEN MAG2 = -6 / AMP1 ELSE MAG2 = -130 / AMP1
194 GOSUB 6000 ' PLOT 2-D DATA
196 LOCATE 1, 1: PRINT "TIME = "; T9
198 RETURN

REM ************************************************
REM *              TRANSFORM                       *
REM ************************************************
200 IF XDIR = 1 THEN GOSUB 400
201 CLS : KRTST = 19
202 T00 = T0: T11 = T1 ' SAVE INITIAL INPUT SIDE
204 FOR KR = 0 TO Q - 1 ' XFORM 2D ARRAY BY ROWS
205 GOSUB 206
236 NEXT KR
240 PRINT
242 ' GOSUB 160  ' USE TO SHOW RESULTS OF ROW XFORMS
244 ' A$ = INKEY$: IF A$ = "" THEN 244
246 KRTST = 19
T00 = T0: T11 = T1
248 FOR KR = 0 TO Q - 1 ' XFORM 2D ARRAY BY COLUMNS
GOSUB 250
277 NEXT KR
IF XDIR = 0 THEN GOSUB 400
278 RETURN

' THE ROW XFORM SUBROUTINE
206 T0 = T00: T1 = T11 ' INITIALIZE INPUT SIDE OF ARRAYS
207 IF XDIR = 1 THEN GOSUB 300
208 PRINT USING "###_ "; KR; ' PRINT ROW BEING XFORMED
210 IF KR = KRTST THEN PRINT : KRTST = KRTST + 20 ' END PRINT LINE
212 REM THE ROUTINE BELOW IS THE STANDARD FFT ROUTINE FOR A ROW
214 FOR M = 0 TO N - 1: QT = 2 ^ M: KT1 = 2 ^ (N - M - 1)
216 FOR J = 0 TO Q3 STEP QT: J1 = 2 * J: K9 = J + Q2
218 FOR I = 0 TO QT - 1: KT = I * KT1: K = K9 + I
220 IF XDIR = 1 THEN GOSUB 280 ELSE GOSUB 290
222 NEXT I
224 J1 = J1 + QT
226 FOR I = 0 TO QT - 1: KT = (I + QT) * KT1: K = K9 + I
228 IF XDIR = 1 THEN GOSUB 280 ELSE GOSUB 290
230 NEXT I: NEXT J
232 T0 = 1 - T0: T1 = 1 - T1
234 NEXT M
235 IF XDIR = 0 THEN GOSUB 330
RETURN
' *********************
' THE COL XFORM SUBROUTINE
250 T0 = T00: T1 = T11
251 IF XDIR = 1 THEN GOSUB 330
252 PRINT USING "###_ "; KR;
254 IF KR = KRTST THEN PRINT : KRTST = KRTST + 20
256 FOR M = 0 TO N - 1: QT = 2 ^ M: KT1 = 2 ^ (N - M - 1)
258 FOR J = 0 TO Q3 STEP QT: J1 = 2 * J: K9 = J + Q2
260 FOR I = 0 TO QT - 1: KT = I * KT1: K = K9 + I
262 IF XDIR = 1 THEN GOSUB 290 ELSE GOSUB 280
264 NEXT I
266 J1 = J1 + QT
268 FOR I = 0 TO QT - 1: KT = (I + QT) * KT1: K = K9 + I
270 IF XDIR = 1 THEN GOSUB 290 ELSE GOSUB 280
272 NEXT I: NEXT J
274 T0 = 1 - T0: T1 = 1 - T1
275 NEXT M
276 IF XDIR = 0 THEN GOSUB 300
RETURN
' *******************

REM THE SUBROUTINES BELOW ARE THE UNIVERSAL BUTTERFLY FUNCTIONS
280 C(T0, KR, J1 + I) = (C(T1, KR, I + J) + C(T1, KR, K) * KC(KT) - K6 * S(T1, KR, K) * KS(KT)) / SK1
282 S(T0, KR, J1 + I) = (S(T1, KR, I + J) + K6 * C(T1, KR, K) * KS(KT) + S(T1, KR, K) * KC(KT)) / SK1
284 RETURN
290 C(T0, J1 + I, KR) = (C(T1, I + J, KR) + C(T1, K, KR) * KC(KT) - K6 * S(T1, K, KR) * KS(KT)) / SK1
292 S(T0, J1 + I, KR) = (S(T1, I + J, KR) + K6 * C(T1, K, KR) * KS(KT) + S(T1, K, KR) * KC(KT)) / SK1
294 RETURN

' ****************************************
' *          MODIFY SAMPLING             *
' ****************************************
300 FOR I = 1 TO Q - 1 STEP 2
C(T1, KR, I) = -C(T1, KR, I): S(T1, KR, I) = -S(T1, KR, I)
NEXT I
RETURN

330 FOR I = 1 TO Q - 1 STEP 2
C(T1, I, KR) = -C(T1, I, KR): S(T1, I, KR) = -S(T1, I, KR)
NEXT I
RETURN

' ****************************************
' *        CORRECT FOR QUADRANTS         *
' ****************************************
400 FOR I = 0 TO Q3
402   FOR J = 0 TO Q3
404     I2 = I + Q2: J2 = J + Q2
406     C(T0, I2, J2) = C(T1, I, J): S(T0, I2, J2) = S(T1, I, J)
408     C(T0, I, J) = C(T1, I2, J2): S(T0, I, J) = S(T1, I2, J2)
410   NEXT J
412 NEXT I
420 FOR I = 0 TO Q3
422   FOR J = Q2 TO Q - 1
424     I2 = I + Q2: J2 = J - Q2
426     C(T0, I2, J2) = C(T1, I, J): S(T0, I2, J2) = S(T1, I, J)
428     C(T0, I, J) = C(T1, I2, J2): S(T0, I, J) = S(T1, I2, J2)
430   NEXT J
432 NEXT I
433 T0 = 1 - T0: T1 = 1 - T0
434 'GOSUB 160
436 'INPUT A$
438 RETURN

2400 ' *** MODIFY SPACE DOMAIN FUNCTION ***
2402 CLS : PRINT : PRINT SPC(15); "MENU"
2404 PRINT : PRINT "1 = CHANGE GREY SCALE RANGE"
2406 PRINT : PRINT "2 = MODIFY CONTRAST"
2408 A$ = INKEY$: IF A$ = "" THEN 2408
2410 ON VAL(A$) GOSUB 2420, 2460
2412 RETURN


' * LIMIT GREY SCALE RESOLUTION
2420 CLS
2422 A = 1: B = 0 ' FIRST FIND RANGE OF DATA
2424     FOR I = 0 TO Q - 1
2426          FOR J = 0 TO Q - 1
2428               IF C(T1, I, J) > A THEN A = C(T1, I, J)
2430               IF C(T1, I, J) < B THEN B = C(T1, I, J)
2432          NEXT J
2434     NEXT I
2436 IF B > 0 THEN B = 0 ' IF > 0 ELIMINATE FROM CALCS.
2438 INPUT "NUMBER OF BITS GREY SCALE (LESS THAN 16)"; GK
2440 GK = 2 ^ GK
2442 A = (A - B) / GK
2444     FOR I = 0 TO Q - 1
2446          FOR J = 0 TO Q - 1
2448               C(T1, I, J) = INT((C(T1, I, J) - B) / A)
2450          NEXT J
2452     NEXT I
2454 PRINT A, B' OKAY, NOW WE HAVE A NEW DYNAMIC RANGE
2456 RETURN
2460 ' * CHANGE CONTRAST *
2462 AMAX = 0: AMIN = 256
2464 FOR I = 0 TO Q - 1
2466 FOR J = 0 TO Q - 1
2468 A = C(T1, I, J): IF A > AMAX THEN AMAX = A
2470 IF A < AMIN THEN AMIN = A
2472 NEXT J
2474 NEXT I
2475 C = 0: PRINT "AMAX ="; AMAX; " AND AMIN ="; AMIN
2476 PRINT "HOLD BLACK OR WHITE CONSTANT (B/W)?"
2478 A$ = INKEY$: IF A$ = "" THEN 2478
2480 IF A$ = "B" OR A$ = "b" THEN C = 1: GOTO 2484
2482 IF A$ <> "W" AND A$ <> "w" THEN 2478
2484 PRINT : INPUT "INPUT MULTIPLICATION FACTOR"; MK
2486 FOR I = 0 TO Q - 1
2488 FOR J = 0 TO Q - 1
2490 IF C = 0 THEN C(T1, I, J) = AMAX - (MK * (AMAX - C(T1, I, J)))
2492 IF C = 1 THEN C(T1, I, J) = (MK * (C(T1, I, J) - AMIN)) + AMIN
2494 NEXT J
2496 NEXT I
2498 GOSUB 6000 ' DISPLAY RESULTS
2500 INPUT A$ ' WAIT
2502 RETURN

' ********** SAVE PICTURE **********
'     FOR I = 0 TO Q - 1
'          FOR J = 0 TO Q - 1
'               STD(I, J) = C(T1, I, J)
'          NEXT J
'     NEXT I
RETURN


' ********** RECALL PICTURE **********
'     FOR I = 0 TO Q - 1
'          FOR J = 0 TO Q - 1
'               C(T1, I, J) = STD(I, J): S(T1, I, J) = 0
'          NEXT J
'     NEXT I
RETURN

     REM *********************************
     REM *       MODIFY TRANSFORM        *
     REM *********************************
3000 CLS : PRINT : PRINT "MODIFY SPECTRUM MENU": PRINT : PRINT
3002 PRINT " 1 - MULTIPLY WITH STORED SPECTRUM"
3004 PRINT " 2 - DIVIDE CURRENT/STORED SPECTRUMS"
3006 PRINT " 3 - FILTER SPECTRUM"
3008 PRINT " 4 - TRUNCATE SPECTRUM"
3010 PRINT " 5 - SAVE SPECTRUM"
3014 PRINT " 9 - EXIT": PRINT : PRINT
3018 PRINT "   MAKE SELECTION"
3020 A$ = INKEY$: IF A$ = "" THEN 3020
3022 IF ASC(A$) < 49 OR ASC(A$) > 57 THEN 3000
3024 A = VAL(A$): ON A GOSUB 3200, 3300, 3100, 3500, 3400
3026 GOTO 3999

' **********************************
' *    GAUSSIAN FILTER
' **********************************
3100 INPUT "CUTOFF FREQ. "; FCO
3102 FOR I = -Q2 TO Q2
3104    FOR J = -Q2 TO Q2
3106       FI = SQR(I ^ 2 + J ^ 2): ATTN = (10 ^ (-.3 / 2 * (FI / FCO) ^ 3))
3108       I2 = Q2 + I: J2 = Q2 + J
3110       C(T1, I2, J2) = C(T1, I2, J2) * ATTN: S(T1, I2, J2) = S(T1, I2, J2) * ATTN
3112    NEXT J
3114 NEXT I
3116 GOSUB 6000 ' DISPLAY RESULTS
3118 INPUT A$ ' WAIT
3120 RETURN

3200 ' **** MULTIPLY FREQUENCY FUNCTIONS ****
3202 FOR I = 0 TO Q - 1
3204    FOR J = 0 TO Q - 1
3206       CIJ = C(T1, I, J): SIJ = S(T1, I, J)
3208       CDAT = DAC(I, J): SDAT = DAS(I, J)
3210       C(T1, I, J) = (CIJ * CDAT) - (SIJ * SDAT): S(T1, I, J) = (CIJ * SDAT) + (SIJ * CDAT)
3212    NEXT J
3214 NEXT I
3216 GOSUB 6000 ' DISPLAY RESULTS
3228 INPUT A$ ' WAIT
3230 RETURN

3300 CLS ' DIVIDE CURRENT/STORED SPECTRUM
3302 PRINT SPC(5); "C = DIVIDE CURRENT FUNCTION BY STORED FUNCTION"
3304 PRINT SPC(5); "S = DIVIDE STORED FUNCTION BY CURRENT FUNCTION"
3308 A$ = INKEY$: IF A$ = "" THEN 3308
3310 CSFLG = 1: IF A$ = "S" OR A$ = "s" THEN CSFLG = 2: GOTO 3314
3312 IF A$ <> "C" AND A$ <> "c" THEN 3308
3314 FOR I = 0 TO Q - 1
3316 FOR J = 0 TO Q - 1
3318 CIJ = C(T1, I, J): SIJ = S(T1, I, J): C(T1, I, J) = 0: S(T1, I, J) = 0
3320 RIJ = SQR(CIJ ^ 2 + SIJ ^ 2)
3322 ' IF RIJ < .0000001 THEN 3348 ' SKIP IF DATA TOO SMALL ?
3324 IF CIJ = 0 THEN PHIJ = PI / 2: GOTO 3328 ' CAN'T DIVIDE BY ZERO
3326 PHIJ = ATN(SIJ / CIJ) ' FIND ANGLE
3328 IF CIJ < 0 THEN PHIJ = PHIJ + PI ' CORRECT FOR NEG X AXIS
3330 CDAT = DAC(I, J): SDAT = DAS(I, J) ' GET STORED DATA
3332 RDAT = SQR(CDAT ^ 2 + SDAT ^ 2) ' FIND MAG
3334 IF CDAT = 0 THEN PHDAT = PI / 2: GOTO 3338 ' CAN'T DIVIDE BY ZERO
3336 PHDAT = ATN(SDAT / CDAT) ' GET ANGLE
3338 IF CDAT < 0 THEN PHDAT = PHDAT + PI ' CORRECT FOR NEG X  AXIS
3340 IF CSFLG = 1 THEN RQOT = RIJ / RDAT: PHQOT = PHIJ - PHDAT: GOTO 3344 ' DIVIDE (FINALLY)
3342 RQOT = RDAT / RIJ: PHQOT = PHDAT - PHIJ
3344 C(T1, I, J) = COS(PHQOT) * RQOT ' CONVERT TO X,Y
3346 S(T1, I, J) = SIN(PHQOT) * RQOT
3348 NEXT J
3350 NEXT I
3352 GOSUB 160 ' DISPLAY RESULTS
3354 INPUT A$ ' WAIT FOR USER
3390 RETURN

3400 ' ****  TEMP SAVE SPECTRUM IN DAX(I,J)  ****
3402 AMPN = 1
3404 FOR I = 0 TO Q - 1
3406    FOR J = 0 TO Q - 1
3408       DAC(I, J) = C(T1, I, J): DAS(I, J) = S(T1, I, J)
3410    NEXT J
3412 NEXT I
3414 RETURN

' ****  TRUNCATE SPECTRUM  ****
3500 ATTN = 0
3502 INPUT "TRUNCATE SPECTRUM ABOVE HARMONIC # "; HARX
3504 FOR I = 0 TO Q2
3506    FOR J = 0 TO Q2
3508        IF SQR(I ^ 2 + J ^ 2) < HARX THEN 3518
3510        GOSUB 3900
3518    NEXT J
3520 NEXT I
3522 GOSUB 6000 ' DISPLAY RESULTS
3524 INPUT A$ ' WAIT
3526 RETURN

3900 ' ****  MODIFY HARMONICS  ****
3902 I2 = Q2 + I: J2 = Q2 + J: I3 = Q2 - I: J3 = Q2 - J
3904 C(T1, I2, J2) = C(T1, I2, J2) * ATTN: S(T1, I2, J2) = S(T1, I2, J2) * ATTN
3906 C(T1, I2, J3) = C(T1, I2, J3) * ATTN: S(T1, I2, J3) = S(T1, I2, J3) * ATTN
3908 C(T1, I3, J3) = C(T1, I3, J3) * ATTN: S(T1, I3, J3) = S(T1, I3, J3) * ATTN
3910 C(T1, I3, J2) = C(T1, I3, J2) * ATTN: S(T1, I3, J2) = S(T1, I3, J2) * ATTN
3912 RETURN

3999 IF A = 9 THEN A = 8
RETURN

     REM *********************************
     REM *        LOAD .BMP FILE         *
     REM *********************************
4000 CLS : PRINT : PRINT : PRINT
4002 DMAX = 20: T1 = 0: T0 = 1: XDIR = 0: PATH$ = "C:\WINDOWS\"
4004 REDIM IMAGE%(DMAX) ' *.BMP HEADER ARRAY
4006 INPUT "FILE NAME (.BMP FILES ONLY)"; NM$
4008 OPEN PATH$ + NM$ + ".BMP" FOR RANDOM AS #3 LEN = LEN(PIXREC)
4010 PRINT " LOF = "; LOF(3)
4012 FOR J = 1 TO 20 ' READ HEADER
4014 GET #3, J, PIXREC
4016 IMAG% = PIXREC.PIX
4018 IMAGE%(J) = IMAG%
4024 NEXT J
4026 IF IMAGE%(1) = 19778 AND IMAGE%(10) = Q THEN 4040 ' CHK .BMP & SIZE
4030 INPUT " THIS IS NOT A LEGAL .BMP FILE - ENTER TO CONTINUE"; A$
4032 CLOSE 3: GOTO 4090 ' CLOSE FILE & EXIT
4040 STRT = IMAGE%(6) / 2 + 1 ' GET DATA START LOCATION
4044 LINX = IMAGE%(10) ' NO. LINES
4046 COLX = IMAGE%(12) ' NO. COLS.
' LOAD FILE INTO DATA ARRAY
4048 FOR I = 0 TO Q - 1: KL1 = STRT + (LINX * I / 2) ' DATA LINE ADDRESS
4050 FOR J = 0 TO Q3 STEP 1: KL = KL1 + J: J2 = 2 * J ' DATA ADDRESS
4052 GET #3, KL, PIXREC
4054 IMAG% = PIXREC.PIX
4056 C(T1, I, J2) = IMAG% AND 255: C(T1, I, J2 + 1) = (IMAG% AND 65280) / 256
4058 S(T1, I, J2) = 0: S(T1, I, J2 + 1) = 0
4060 NEXT J
4062 NEXT I
4064 CLOSE 3
4066 MAG2 = -.025 ' SCALE FACTOR
4068 GOSUB 6000 ' DISPLAY IMAGE
4070 INPUT "PLOT AS A FUNCTION (Y/N)"; A$
4072 IF A$ = "Y" THEN GOSUB 160 ' DISPLAY FUNCTION
4074 INPUT "C/R WHEN READY"; A$ ' WAIT FOR USER
4090 RETURN

     REM *********************************
     REM *       SAVE *.BMP FILE         *
     REM *********************************
4100 CLS : PRINT : PRINT
4102 IF XDIR = 1 THEN GOSUB 50 ' TRANSFORM TO SPACE DOMAIN DATA FOR NOW
4104 A = 1: B = 0 ' FIRST BRING DATA BACK INTO RANGE, A=MAX, B=MIN
     FOR I = 0 TO Q - 1
          FOR J = 0 TO Q - 1
               IF C(T1, I, J) > A THEN A = C(T1, I, J)
               IF C(T1, I, J) < B THEN B = C(T1, I, J)
          NEXT J
     NEXT I
4118 IF B > 0 THEN B = 0 ' IF > 0 ELIMINATE FROM CALCULATIONS
4120 A = (A - B) / 255 ' FIND 0-255 SCALE FACTOR
4122 FOR I = 0 TO Q - 1 ' CONVERT TO 8 BIT DATA
          FOR J = 0 TO Q - 1
               C(T1, I, J) = INT((C(T1, I, J) - B) / A)
          NEXT J
     NEXT I
     FOR I = 0 TO 1: C(T1, Q, I) = 0: C(T1, I, Q) = 0: NEXT I
' PRINT A, B' OKAY, NOW WE CAN SAVE THE FILE
4134 PTH1$ = "C:\WINDOWS\D": PTH2$ = "C:\WINDOWS\": NM2$ = NM$
4136 IF LEN(NM2$) > 7 THEN NM2$ = LEFT$(NM2$, 7)
4138 OPEN PTH1$ + NM2$ + ".BMP" FOR RANDOM AS #3 LEN = LEN(PIXREC)
4140 OPEN PTH2$ + NM$ + ".BMP" FOR RANDOM AS #4 LEN = LEN(PIXREC)
4142 FOR I = 1 TO STRT - 1
4144 GET #4, I, PIXREC
4146 PUT #3, I, PIXREC
4148 NEXT I
4150 CLOSE #4
4152 PRINT "EXPAND FILE (Y/N)";
4154 A$ = INKEY$: IF A$ = "" THEN 4154
4156 IF A$ = "n" OR A$ = "N" THEN 4300
4158 PIXREC.PIX = INT(2 * Q)
4160 PUT #3, 10, PIXREC
4162 PUT #3, 12, PIXREC
4164 FOR I = 0 TO Q - 1: KS1 = (2 * I * Q) + STRT
4166 FOR J = 0 TO Q - 1: KS = KS1 + (J)
4168 PIXEL1 = C(T1, I, J): PIXEL2 = (C(T1, I, J + 1) + C(T1, I, J)) / 2
4170 PIXEL = INT(PIXEL1) + 256 * INT(PIXEL2)
4172 IF PIXEL > 32767 THEN PIXEL = PIXEL - 65536
4174 PIXREC.PIX = INT(PIXEL)
4176 PUT #3, KS, PIXREC
4178 NEXT J
4180 KS1 = KS1 + Q
4182 FOR J = 0 TO Q - 1: KS = KS1 + J
4184 PIXEL1 = (C(T1, I, J) + C(T1, I + 1, J)) / 2: PIXEL2 = (C(T1, I, J) + C(T1, I + 1, J) + C(T1, I, J + 1) + C(T1, I + 1, J + 1)) / 4
4186 PIXEL = INT(PIXEL1) + 256 * INT(PIXEL2)
4188 IF PIXEL > 32767 THEN PIXEL = PIXEL - 65536
4190 PIXREC.PIX = INT(PIXEL)
4192 PUT #3, KS, PIXREC
4194 NEXT J
4196 NEXT I
4198 CLOSE #3
4200 RETURN

4300 ' STORE UNEXPANDED PICTURE
4302 FOR I = 0 TO Q - 1: KS1 = (I * Q / 2) + STRT
4304 FOR J = 0 TO Q - 1 STEP 2: KS = KS1 + (J / 2)
4306 PIXEL1 = C(T1, I, J): PIXEL2 = C(T1, I, J + 1)
4308 PIXEL = INT(PIXEL1) + 256 * INT(PIXEL2)
4310 IF PIXEL > 32767 THEN PIXEL = PIXEL - 65536
4312 PIXREC.PIX = INT(PIXEL)
4314 PUT #3, KS, PIXREC
4316 NEXT J
4318 NEXT I
4320 CLOSE #3
4322 RETURN



     REM *********************************
     REM *      GENERATE FUNCTIONS       *
     REM *********************************
5000 XDIR = 0
5001 CLS : PRINT : PRINT : PRINT "               FUNCTION MENU": PRINT
5002 PRINT " 1 = GENERATE SINC^2 FUNCTION      2 = GENERATE DOUBLE STAR": PRINT
5004 PRINT " 3 = DIFFRACTED DOUBLE STAR        4 = CIRC FUNCTION": PRINT
5006 PRINT " 5 = STRETCHED SINC^2              6 = SINC FUNCTION:": PRINT
5008 PRINT " 7 = BESSEL                        8 = GAUSSIAN FUNCTION": PRINT
5009 PRINT " 9 = EXIT:": PRINT
5010 PRINT "            MAKE SELECTION";
5012 A$ = INKEY$: IF A$ = "" THEN 5012
5014 A = VAL(A$): ON A GOTO 5030, 5100, 5200, 5300, 5400, 5500, 5600, 5700
5016 IF A = 9 THEN RETURN
5018 GOTO 5000

     REM *********************************
     REM *       SINC^2 FUNCTION         *
     REM *********************************
5030 CLS : T1 = 0: T0 = 1
5032 INPUT "WIDTH"; WDTH1 ' INPUT FINCTION SIZE
5034 IF WDTH1 = 0 THEN WDTH1 = 1 ' ZERO INVALID
5036 SKL1 = PI2 / WDTH1: MAG1 = Q ' CALC CONSTANTS
5038 FOR I = 0 TO Q - 1 '
5040 YARG = SKL1 * (I - Q2): PRINT "*";
5042 FOR J = 0 TO Q - 1
5044 XARG = SKL1 * (J - Q2)
5046 IF YARG = 0 AND XARG = 0 THEN C(T1, I, J) = MAG1: GOTO 5052
5048 ARG = SQR(XARG ^ 2 + YARG ^ 2)
5050 C(T1, I, J) = MAG1 * (SIN(ARG) / ARG) ^ 2: S(0, I, J) = 0
5052 NEXT J
5054 NEXT I
5055 MAG2 = -130 / MAG1
5056 GOSUB 6000 ' PLOT FUNCTION
5058 INPUT A$ ' WAIT
5060 RETURN

5100 REM ********************************
     REM *        DOUBLE STAR           *
     REM ********************************
5102 SCREEN 9, 1, 1: CLS
5104 INPUT "INPUT SEPARATION"; SEPR
5106 MAG1 = Q ^ 2: T1 = 0: T0 = 1: ANM = MAG1 * ANP
5108 FOR I = 0 TO Q - 1
5110 FOR J = 0 TO Q - 1
5112 AN = 0
5114 C(T1, I, J) = AN: S(T1, I, J) = AN
5116 NEXT J
5118 NEXT I
5120 IF SEPR > Q4 THEN 5124
5122 C(T1, Q2 - SEPR, (Q2)) = MAG1
5124 ' C(T1, 0, 0) = MAG1
5126 MAG2 = -140 / Q ^ 2
5128 GOSUB 160 ' DISPLAY HANDIWORK
5130 INPUT "C/R TO CONTINUE"; A$
5132 RETURN

REM ***********************************
5200 REM *   DIFFRACTED DOUBLE STAR   *
REM ***********************************
5202 CLS
5204 T1 = 0: T0 = 1
5206 INPUT "WIDTH"; WDTH1
5208 INPUT "SEPARATION"; SEPR1
5210 SKL1 = PI2 / WDTH1: MAG1 = Q
5212 FOR I = 0 TO Q - 1
5214 YARG = SKL1 * (I - Q2): PRINT "*";
5216 FOR J = 0 TO Q - 1
5218 XARG = SKL1 * (J - Q2)
5220 IF YARG = 0 AND XARG = 0 THEN C(T1, I, J) = MAG1: GOTO 5226
5222 ARG = SQR(XARG ^ 2 + YARG ^ 2)
5224 C(T1, I, J) = MAG1 * (SIN(ARG) / ARG) ^ 2: S(T1, I, J) = 0
5226 NEXT J
5228 NEXT I
5230 FOR I = 0 TO Q - 1
5232 YARG = SKL1 * (I - Q2): PRINT "*";
5234 FOR J = 0 TO Q - 1
5236 XARG = SKL1 * (J - Q2 - SEPR1)
5238 IF YARG = 0 AND XARG = 0 THEN C(T1, I, J) = C(T1, I, J) + MAG1: GOTO 5244
5240 ARG = SQR(XARG ^ 2 + YARG ^ 2)
5242 C(T1, I, J) = C(T1, I, J) + MAG1 * (SIN(ARG) / ARG) ^ 2
5244 NEXT J
5246 NEXT I
5248 GOSUB 160
5250 INPUT A$
5252 RETURN

5300 REM *********************************
     REM *         CIRC FUNCTION         *
     REM *********************************
5302 CLS : MAG1 = Q: T1 = 0: T0 = 1
5304 INPUT "DIAMETER"; DIA1
5306 INPUT "CENTERED ON (X,Y)"; CNTRX, CNTRY
5308 SKL1 = Q / DIA1: MAG1 = Q
5310 FOR I = 0 TO Q - 1
5312 YARG = I - CNTRY: PRINT "*";
5314 FOR J = 0 TO Q - 1
5316 XARG = J - CNTRX
5318 C(T1, I, J) = 0:
5320 ARG = SQR(XARG ^ 2 + YARG ^ 2)
5322 IF ARG <= DIA1 THEN C(T1, I, J) = MAG1: S(T1, I, J) = 0
5324 NEXT J
5326 NEXT I
5328 GOSUB 160
5330 INPUT A$
5332 RETURN

5400 REM *********************************
     REM *   STRETCHED SINC^2 FUNCTION   *
     REM *********************************
5402 CLS : MAG1 = Q: T0 = 1: T1 = 0
5404 INPUT "WIDTH"; WDTH1
5406 SKL1 = PI2 / WDTH1: MAG1 = Q
5408 FOR I = 0 TO Q2 - 1
5410 YARG = SKL1 * (2 * I - Q2): PRINT "*";
5412 FOR J = 0 TO Q2 - 1
5414 XARG = SKL1 * (2 * J - Q2)
5416 IF YARG = 0 AND XARG = 0 THEN C(T1, 2 * I, 2 * J) = MAG1: GOTO 5490
5418 ARG = SQR(XARG ^ 2 + YARG ^ 2)
5420 C(T1, 2 * I, 2 * J) = MAG1 * (SIN(ARG) / ARG) ^ 2: S(T1, I, J) = 0
5490 NEXT J
5492 NEXT I
5494 GOSUB 160
5496 INPUT A$
5498 RETURN

5500 REM *********************************
     REM *         SINC FUNCTION         *
     REM *********************************
5502 CLS : MAG1 = Q: T0 = 1: T1 = 0
5504 INPUT "WIDTH"; WDTH1
5506 SKL1 = PI2 / WDTH1: MAG1 = Q
5508 FOR I = 0 TO Q - 1
5510 YARG = SKL1 * (I - Q2): PRINT "*";
5512 FOR J = 0 TO Q - 1
5514 XARG = SKL1 * (J - Q2)
5516 IF YARG = 0 AND XARG = 0 THEN C(T1, I, J) = MAG1: GOTO 5590
5518 ARG = SQR(XARG ^ 2 + YARG ^ 2)
5520 C(T1, I, J) = MAG1 * (SIN(ARG) / ARG): S(T1, I, J) = 0
5590 NEXT J
5592 NEXT I
5594 GOSUB 160
5596 INPUT A$
5598 RETURN

     REM *********************************
     REM *       BESSEL FUNCTION         *
     REM *********************************
5600 CLS : DEFDBL D-K
5602 T0 = 1: T1 = 0
5604 INPUT "WIDTH"; WDTH1
5606 IF WDTH1 < 1 THEN 5604 ' MINIMUM WIDTH
5608 SKL1 = PI / (3.6 * WDTH1 * Q / 64)
5610 FOR I = 0 TO Q - 1
5612 YARG = SKL1 * (I - Q2): PRINT "*";
5614 FOR J = 0 TO Q - 1
5616 XARG = SKL1 * (J - Q2)
5618 KARG = SQR(XARG ^ 2 + YARG ^ 2)
5620 KA = 1: KB = 1: DAT1 = 1: KTGL = 1
5622 FOR K = 2 TO 900 STEP 2
5624 KTGL = -1 * KTGL
5626 KA = KA * K: KB = KB * (K + 2): DENOM = KA * KB
5628 DAT2 = KTGL * (WDTH1 ^ (K / 2) * KARG ^ K / DENOM)
5630 IF ABS(DAT2) < ABS(DAT1) * 1E-10 THEN 5640
5632 DAT1 = DAT1 + DAT2
5634 REM PRINT DAT1,
5636 NEXT K
5638 PRINT "#"
5640 C(T1, I, J) = DAT1: S(T1, I, J) = 0
5642 NEXT J
5644 NEXT I
5646 GOSUB 160
5648 INPUT A$
5650 RETURN

' **************************************
' *       GAUSSIAN DISTRIBUTION        *
' **************************************
5700 CLS : MAG1 = Q / PI: T1 = 0: T0 = 1
5702 FOR I = 0 TO Q - 1: FOR J = 0 TO Q - 1
5704 C(T1, I, J) = 0: S(T1, I, J) = 0
5706 NEXT J: NEXT I
5708 INPUT "DIAMETER, CONSTANT"; DIA1, GCST
5710 MAG1 = (Q / DIA1) ^ 2 / PI
5712 FOR I = 0 TO Q2 - 1: I2 = I ' - Q2
5714 FOR J = 0 TO Q2 - 1: J2 = J ' - Q2
5716 R0 = SQR(I2 ^ 2 + J2 ^ 2): MAG11 = MAG1 * EXP(-(R0 / DIA1) ^ 2)
5718 C(T1, Q2 + I, Q2 + J) = MAG11: C(T1, Q2 + I, Q2 - J) = MAG11
5720 C(T1, Q2 - I, Q2 + J) = MAG11: C(T1, Q2 - I, Q2 - J) = MAG11
5722 NEXT J
5724 NEXT I
5726 C(T1, Q2, Q2) = C(T1, Q2, Q2) + MAG1 * GCST
5728 XDIR = 1
5730 GOSUB 160
5732 INPUT A$
5734 RETURN

REM *******************************
REM *         PLOT DATA           *
REM *******************************
6000 CLS ' CLEAR SCREEN AND SET SCALE FACTORS
6002 XCAL = 350 / Q: YCAL = 240 / Q: YDIS = 50
6004 FOR I = 0 TO Q - 1 ' FOR ALL ROWS
6006 DISP = (Q - I) * 288 / Q ' DISPLACE ROWS FOR 3/4 VIEW
6008 PER = I / (2 * Q) ' CORRECT FOR PERSPECTIVE
6010 FOR J = 0 TO Q - 1 ' FOR EACH PIXEL IN ROW
6012 X11 = ((XCAL + PER) * J) + DISP: Y11 = ((YCAL + .3 * PER) * I) + YDIS
6014 IF XDIR = 0 THEN AMP = C(T1, Q - 1 - I, J) ELSE AMP = SQR(C(T1, I, J) ^ 2 + S(T1, I, J) ^ 2)' CALC "Z" AXIS
6016 AMP = MAG2 * AMP: IF ABS(AMP) > 1000! THEN AMP = 1000!
6018 LINE (X11, Y11 + AMP)-(X11, Y11)
6020 NEXT J ' NEXT PIXEL
6022 NEXT I ' NEXT ROW
6024 RETURN ' ALL DONE


9999 END: STOP

